Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka
Class CovReport

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.sitraka.CovBase
                        |
                        +--org.apache.tools.ant.taskdefs.optional.sitraka.CovReport

public class CovReport
extends CovBase

Runs the JProbe Coverage 3.0 snapshot merge utility.

Nested Class Summary
`class` | `CovReport.Reference`
`static class` | `CovReport.ReportFormat`
`static class` | `CovReport.ReportType`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CovReport()`

Method Summary
`protected void` | `checkOptions()` check for mandatory options
`Path` | `createCoveragepath()`
`CovReport.Reference` | `createReference()` Adds a set of classes whose coverage information will be checked against.
`Path` | `createSourcepath()` Adds a path to source files.
`void` | `execute()` Called by the project to let the task do its work.
`protected java.lang.String[]` | `getParameters()`
`void` | `setFilters(java.lang.String values)` set the filters
`void` | `setFormat(CovReport.ReportFormat value)` set the format of the report: "html", "text", or "xml"
`void` | `setIncludesource(boolean value)` If true, include text of the source code lines.
`void` | `setPercent(java.lang.Integer value)` A numeric value for the threshold for printing methods.
`void` | `setSnapshot(java.io.File value)` The name of the snapshot file that is the source to the report.
`void` | `setTofile(java.io.File value)` The name of the generated output file.
`void` | `setType(CovReport.ReportType value)` The type of report to be generated: "executive", "summary", "detailed" or "verydetailed".

Methods inherited from class org.apache.tools.ant.taskdefs.optional.sitraka.CovBase
`createTempFile, findCoverageJar, findExecutable, getHome, getParamFileArgument, isJProbe4Plus, setHome`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CovReport

    public CovReport()

Method Detail

### setFormat

    public void setFormat(CovReport.ReportFormat value)

  set the format of the report: "html", "text", or "xml"

### setType

    public void setType(CovReport.ReportType value)

  The type of report to be generated: "executive", "summary", "detailed" or "verydetailed".

### setIncludesource

    public void setIncludesource(boolean value)

  If true, include text of the source code lines. Only applies to format="xml" and type="verydetailed"

### setPercent

    public void setPercent(java.lang.Integer value)

  A numeric value for the threshold for printing methods. Must be between 0 and 100.

### setFilters

    public void setFilters(java.lang.String values)

  set the filters

### createSourcepath

    public Path createSourcepath()

  Adds a path to source files.

### setSnapshot

    public void setSnapshot(java.io.File value)

  The name of the snapshot file that is the source to the report.

### setTofile

    public void setTofile(java.io.File value)

  The name of the generated output file.

### createCoveragepath

    public Path createCoveragepath()

  To do:
    needs to be removed

### createReference

    public CovReport.Reference createReference()

  Adds a set of classes whose coverage information will be checked against.

### checkOptions

    protected void checkOptions()
                         throws BuildException

  check for mandatory options

    `BuildException`

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### getParameters

    protected java.lang.String[] getParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.